Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#10449 closed Bug Report - General (Invalid)

Scheduler records random shows

Reported by: yiannividalis@… Owned by: gigem
Priority: minor Milestone: 0.25
Component: MythTV - Scheduling Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

I am on latest master, and I create scheduled recordings via mythweb - I find it more convenient. I've noticed in the past 1-2 months that the scheduler will randomly record shows that I've not scheduled, but on the same channel that I've scheduled something else with totally different title. I think it affects rules that record "any time on a particular channel".

Maybe the program is confused by the Greek program titles, but the backend runs in an el_GR.UTF-8 environment - In the startup script there is:

export LANG=el_GR.UTF-8
export LC_CTYPE="el_GR.UTF-8"
export LC_NUMERIC="el_GR.UTF-8"
export LC_TIME="el_GR.UTF-8"
export LC_COLLATE="el_GR.UTF-8"
export LC_MONETARY="el_GR.UTF-8"
export LC_MESSAGES="el_GR.UTF-8"
export LC_PAPER="el_GR.UTF-8"
export LC_NAME="el_GR.UTF-8"
export LC_ADDRESS="el_GR.UTF-8"
export LC_TELEPHONE="el_GR.UTF-8"
export LC_MEASUREMENT="el_GR.UTF-8"
export LC_IDENTIFICATION="el_GR.UTF-8"
export LC_ALL="el_GR.UTF-8"

before calling mythbackend. For reference, the title set in the schedule is: 'Αλ τσαντιρι Νιουζ'

I created this rule yesterday evening and today two other shows are scheduled for recording, but their titles are not present in the 'record' table. The only rule for the specific channel is the one I created.

MythTV Version : v0.25-beta-103-g78a637c-dirty
MythTV Branch : master
Network Protocol : 72
Library API : 0.25.20120307-2
QT Version : 4.7.4
Options compiled in:
 linux profile use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_dvb using_frontend using_hdpvr using_iptv using_libcrypto using_libfftw3 using_libxml2 using_libudf using_lirc using_mheg using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11 using_xrandr using_xv using_bindings_perl using_bindings_python using_bindings_php using_mythtranscode using_opengl using_vdpau using_ffmpeg_threads using_live using_mheg using_libxml2 using_libudf

Attachments (4)

record.sql (4.5 KB) - added by yiannividalis@… 8 years ago.
Export of the affected rule from record table.
10449-elfhash1.patch (1.6 KB) - added by gigem 8 years ago.
Yianni, this is the patch to try.
10449-elfhash2.patch (1.8 KB) - added by stuartm 8 years ago.
Updated patch - use this instead
xmltv-source4.7z (22.9 KB) - added by yiannividalis@… 8 years ago.
Compressed xml source file, as requested.

Download all attachments as: .zip

Change History (20)

Changed 8 years ago by yiannividalis@…

Attachment: record.sql added

Export of the affected rule from record table.

comment:1 Changed 8 years ago by gigem

Status: newinfoneeded_new

I have a couple of ideas on what might be occurring, but I need you to do some database work to help confirm or disprove them. Please provide the output from the following SQL commands.

select * from record where recordid=577\G

and

select * from recordmatch, program where recordmatch.recordid=577 and recordmatch.starttime=program.starttime and recordmatch.chanid=program.chanid order by program.starttime, program.chanid\G

If the recordid in question is no longer 577, then change that accordingly. Note the the commands end in \G (backslash capital-G) instead of the normal ; (semicolon). That makes the output much more readable in this case.

comment:2 Changed 8 years ago by yiannividalis@…

select * from record where recordid=577\G

*************************** 1. row ***************************
     recordid: 577
         type: 3
       chanid: 1048
    starttime: 21:00:00
    startdate: 2012-03-13
      endtime: 23:00:00
      enddate: 2012-03-13
        title: Αλ τσαντιρι Νιουζ
     subtitle: 
  description: Κωμωδία
       season: 0
      episode: 0
     category: Unknown
      profile: Default
  recpriority: 5
   autoexpire: 1
  maxepisodes: 0
    maxnewest: 0
  startoffset: 0
    endoffset: 0
     recgroup: Default
    dupmethod: 6
        dupin: 15
      station: Alpha
     seriesid: 544
    programid: 
      inetref: 
       search: 0
autotranscode: 0
 autocommflag: 0
 autouserjob1: 0
 autouserjob2: 0
 autouserjob3: 0
 autouserjob4: 0
 autometadata: 1
      findday: 3
     findtime: 21:00:00
       findid: 734941
     inactive: 0
     parentid: 0
   transcoder: 0
    playgroup: Default
    prefinput: 1
  next_record: 2012-03-14 20:00:00
  last_record: 2012-03-14 10:45:00
  last_delete: 0000-00-00 00:00:00
 storagegroup: Default
    avg_delay: 100
       filter: 0
1 row in set (0.00 sec)
*************************** 1. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-06 21:00:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-06 21:00:00
                endtime: 2012-03-06 23:00:00
                  title: Αλ τσαντιρι Νιουζ
               subtitle: 
            description: Ψυχαγωγική Εκπομπή
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 79256886
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 2. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-07 09:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-07 09:45:00
                endtime: 2012-03-07 10:45:00
                  title: Χορεύοντας στη Σιώπη
               subtitle: 
            description: Ελληνική σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 3. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-07 10:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-07 10:45:00
                endtime: 2012-03-07 11:45:00
                  title: Η τελευταία παράσταση
               subtitle: 
            description: Ελληνική σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 4. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-08 09:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-08 09:45:00
                endtime: 2012-03-08 10:45:00
                  title: Χορεύοντας στη Σιώπη
               subtitle: 
            description: Ελληνική σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 5. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-08 10:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-08 10:45:00
                endtime: 2012-03-08 11:45:00
                  title: Η τελευταία παράσταση
               subtitle: 
            description: Ελληνική σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 6. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-09 09:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-09 09:45:00
                endtime: 2012-03-09 11:45:00
                  title: Χορεύοντας στη σιώπη
               subtitle: 
            description: Ελληνική σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 7. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-09 21:00:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-09 21:00:00
                endtime: 2012-03-09 23:00:00
                  title: Αλ τσαντιρι Νιουζ
               subtitle: 
            description: Ψυχαγωγική Εκπομπή
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 8. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-10 23:00:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-10 23:00:00
                endtime: 2012-03-11 01:00:00
                  title: Μοντέλο για φόνο
               subtitle: 
            description: Ξένη ταινία
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 9. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-11 01:00:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-11 01:00:00
                endtime: 2012-03-11 06:00:00
                  title: Πρωτάρηδες στο έγκλημα
               subtitle: 
            description: Θρίλερ
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 10. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-12 09:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-12 09:45:00
                endtime: 2012-03-12 11:45:00
                  title: Χορεύοντας στη Σιώπη
               subtitle: 
            description: Δράμα
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 11. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-12 22:00:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-12 22:00:00
                endtime: 2012-03-13 00:00:00
                  title: Κόνι και Κάρλα
               subtitle: 
            description: Κωμωδία
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 12. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-13 10:45:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-13 10:45:00
                endtime: 2012-03-13 11:45:00
                  title: Χορεύοντας στη Σιώπη
               subtitle: 
            description: Δράμα
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 13. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-13 21:00:00
               manualid: 0
        oldrecduplicate: NULL
           recduplicate: NULL
          findduplicate: NULL
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-13 21:00:00
                endtime: 2012-03-13 23:00:00
                  title: Αλ τσαντιρι Νιουζ
               subtitle: 
            description: Κωμωδία
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 14. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-14 09:45:00
               manualid: 0
        oldrecduplicate: 0
           recduplicate: 0
          findduplicate: 0
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-14 09:45:00
                endtime: 2012-03-14 10:45:00
                  title: Ρωτά την αγάπη
               subtitle: 
            description: Ξένη σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 1
                   last: 0
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 15. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-14 10:45:00
               manualid: 0
        oldrecduplicate: 0
           recduplicate: 0
          findduplicate: 0
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-14 10:45:00
                endtime: 2012-03-14 11:45:00
                  title: Χορεύοντας στη Σιώπη
               subtitle: 
            description: Ελληνική σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
*************************** 16. row ***************************
               recordid: 577
                 chanid: 1048
              starttime: 2012-03-14 20:00:00
               manualid: 0
        oldrecduplicate: 0
           recduplicate: 0
          findduplicate: 0
           oldrecstatus: NULL
                 chanid: 1048
              starttime: 2012-03-14 20:00:00
                endtime: 2012-03-14 21:00:00
                  title: Ρωτά την αγάπη
               subtitle: 
            description: Ξένη σειρά
               category: 
          category_type: 
                airdate: 2012
                  stars: 0
        previouslyshown: 0
        title_pronounce: 
                 stereo: 0
              subtitled: 0
                   hdtv: 0
         closecaptioned: 0
             partnumber: 0
              parttotal: 0
               seriesid: 544
        originalairdate: NULL
               showtype: 
              colorcode: 
syndicatedepisodenumber: 
              programid: 
               manualid: 0
                generic: 0
          listingsource: 4
                  first: 0
                   last: 1
              audioprop: 
          subtitletypes: 
              videoprop: 
16 rows in set (0.00 sec)

comment:3 Changed 8 years ago by gigem

Those titles and subtitles are all Greek to me! Sorry couldn't resist. :)

What you are seeing is the result of the new series matching. In 0.25, the scheduler matches on seriesid in addition to title. In the results you posted, all of the programs with different titles have a seriesid of 544 that matches the recording rule. This is the expected behavior.

I take it the matched programs aren't really part of the same series. In that case, what is the source or your guide data? If you are using xmltv, then it's probably a bug in the grabber or bad data from whatever source it uses. If you use EIT, it's probably bad data, but could be a bug in the EIT handling.

Either way, the bug is most likely outside of MythTV, but until you report back, I'm going to leave this ticket open just in case. Also, whatever guide data you are using, it's highly unusual to have seriesids without programids. That might cause other problems, too.

comment:4 Changed 8 years ago by yiannividalis@…

lol. You're right! My grabber is TVxb (http://www.tvxb.com) that some Greek (I think) guy apparently set up to parse a common TV site for schedules. The problem manifests on the analog input since there is no EIT there.

Unfortunately, due to the outstanding money management in my country, plans to move to digital coverage in my area are somewhat slooooower than they should be. Since it's not a mythtv bug per se, feel free to close it (unless you can help me bypass it, maybe in the users list) and I'll just look forward to the next surprise recording! That's "aLIVE" tv, isn't it????

Thanks for your help,

Yianni.

Changed 8 years ago by gigem

Attachment: 10449-elfhash1.patch added

Yianni, this is the patch to try.

comment:5 Changed 8 years ago by gigem

Yianni,

After checking with some other MythTV developers, it looks like this is a MythTV that causes us to generate bad seriesids. One of those developers has a patch we'd like you to try.

After you apply the patch and rebuild MythTV, you need to run mythfilldatabase and have it refresh everything. I think the option to do that is "--refresh 0-14".

After doing that, you need to update your recording rule to get correct seriesid. Go into the EPG or Upcoming Recordings, choose one of the matching programs and edit rule options. Change any setting, then change it back and then save the rule.

Hopefully, that fixes things for you temporarily. Please let us know either way. If it does, we need to fix things so this change doesn't adversely affect other users with good data.

Changed 8 years ago by stuartm

Attachment: 10449-elfhash2.patch added

Updated patch - use this instead

comment:6 Changed 8 years ago by yiannividalis@…

Thanks, I'll try it tomorrow because it's almost midnight here.

Yianni.

comment:7 Changed 8 years ago by yiannividalis@…

Thanks for the patch, I applied it and followed your instructions. I'm waiting for the new program info to become available later.

Is there any chance this patch prohibits me from deleting recordings from mythweb? the link (it's underlined as a link) does nothing. The same for "Delete and re-record". Only the "Still recording - Edit" link is active.

MythTV Version : v0.25-beta-145-gcc2ad7f-dirty
MythTV Branch : master
Network Protocol : 72
Library API : 0.25.20120314-3
QT Version : 4.7.4
Options compiled in:
 linux profile use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_dvb using_frontend using_hdpvr using_iptv using_libcrypto using_libfftw3 using_libxml2 using_libudf using_lirc using_mheg using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11 using_xrandr using_xv using_bindings_perl using_bindings_python using_bindings_php using_mythtranscode using_opengl using_vdpau using_ffmpeg_threads using_live using_mheg using_libxml2 using_libudf

comment:8 Changed 8 years ago by gigem

I wouldn't expect The patch to have any affect on mythweb.

comment:9 Changed 8 years ago by yiannividalis@…

The problem is no longer visible as long as I have the "--refresh 0-14" option in mythfilldatabase.

Is this the expected behaviour?

comment:10 Changed 8 years ago by gigem

Yianni, is that with or without the patch? If it's with the patch, you should only need to use the --refresh 0-14 option once to clear out the old program data. After that, the defaults should be fine.

comment:11 Changed 8 years ago by yiannividalis@…

Sorry I've delayed in responding but I can't decide whether the problem is gone.

I'm using the patch on the MB. I am now at commit efdba7e The listings update script creates the xml file and then calls:

mythfilldatabase --refresh 0-14 --file --sourceid 4 --xmlfile xmltv-source4.xml

After it ran by cron job, I saw in the upcoming recordings in mythweb that irrelevant shows would be recorded. By running it once more against the same xml file the irrelevant entries went away.

comment:12 Changed 8 years ago by gigem

Milestone: unknown0.25

You seem to be the only person seeing the problem at this time, so can you please try to determine if the patch really fixes the problem or not? Alternatively, can you post your xmltv-source4.xml file, so someone else can try to check it?

Changed 8 years ago by yiannividalis@…

Attachment: xmltv-source4.7z added

Compressed xml source file, as requested.

comment:13 Changed 8 years ago by yiannividalis@…

The new schedule will be out tomorrow, hopefully, and I'll have something new to test. I also attached the xml file as requested.

I'll do some more tests tomorrow or on Saturday, when I'll have more time. I'll try with and without the patch and see what happens.

comment:14 Changed 8 years ago by yiannividalis@…

Ok, I realised that the cron job was causing the mixup, whilst calling the same script manually was not. Then I noticed in the cron output in webmin that mythfilldatabase was complaining about the environment not being UTF-8. I added the "export LANG...." lines to the script and it now runs without problem, even without the patch.

I apologise for any problem caused, but the symptoms started only recently and it wasn't a problem I had from the beginning, so I didn't know what to check.

Please close this ticket as invalid/fixed.

comment:15 Changed 8 years ago by stuartm

Resolution: Invalid
Status: infoneeded_newclosed

comment:16 Changed 8 years ago by Github

Convert strings using toUtf8() instead of toLocal8Bit() before using ELF Hashing, fixes duplicate matching breaking where the environment isn't 8bit and toLocal8Bit() will fail. There's a small chance this will break duplicate matching for a few users who are using an 8-bit character encoding which isn't UTF8 compatible but it will fix it for far more users who might be running mythfilldatabase from a cronjob with no proper locale or similar. Refs #10449

Branch: master Changeset: 4f9cbebdc36734380de37aaafa200c58b1c36feb

Note: See TracTickets for help on using tickets.